Activity log for bug #806122

Date Who What changed Old value New value Message
2011-07-05 18:48:51 Florian Boucault bug added bug
2011-07-05 18:48:59 Florian Boucault unity-2d: status New In Progress
2011-07-05 18:49:02 Florian Boucault unity-2d: milestone 3.8.12
2011-07-05 18:49:04 Florian Boucault unity-2d: importance Undecided Medium
2011-07-05 18:49:07 Florian Boucault unity-2d: assignee Florian Boucault (fboucault)
2011-07-05 18:57:07 Florian Boucault summary [dash] slow rendering with opengl engine [dash] slow rendering of background with opengl engine
2011-07-05 18:58:53 Florian Boucault description It seems that a bug in Qt's opengl/es 2 engine could be partially responsible: http://bugreports.qt.nokia.com/browse/QTBUG-20264 Using "pert top" when the dash is launched with -opengl, one can observe that the following two functions are consuming an abnormally high amount of CPU that even increases over time: QGL2PaintEngineExPrivate::drawPixmapFragments QVarLengthArray<QPainter::PixmapFragment, 16>::realloc(int, int) It does not happen when setting the tileMode to Stretch in artwork/desktop_dash_background.sci. It seems that a bug in Qt's opengl/es 2 engine could be partially responsible: http://bugreports.qt.nokia.com/browse/QTBUG-20264
2011-07-05 19:02:29 Launchpad Janitor branch linked lp:~fboucault/unity-2d/cache_dash_background
2011-07-13 22:42:01 Ricardo Salveti unity-2d: status In Progress Fix Committed
2011-07-20 18:20:29 Didier Roche unity-2d (Ubuntu): status New Fix Committed
2011-07-28 09:50:04 Didier Roche unity-2d: status Fix Committed Fix Released
2011-07-28 10:06:09 Launchpad Janitor branch linked lp:unity-2d/4.0
2011-07-28 10:10:12 Launchpad Janitor unity-2d (Ubuntu): status Fix Committed Fix Released
2011-07-28 11:13:27 Launchpad Janitor branch linked lp:ubuntu/unity-2d